/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/DAOPTION.CPP   1.2.1.5   17 Apr 1997 15:47:40   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/DAOPTION.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:47:40   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:19:00   ZJRD
** No change.
** 
**    Rev 1.2.1.3   10 Apr 1997 15:30:26   ZJRD
** 2.09F
** 
**    Rev 1.2.1.1   03 Apr 1997 15:11:22   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:16:24   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:27:32   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:45:34   ZJRD
** Initial revision.
** 
**    Rev 1.4.1.0.1.2   09 Dec 1996 10:17:58   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.4.1.0.1.0   11 Nov 1996 13:01:12   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.4.1.4   09 Sep 1996 13:22:58   ZJRD
** No change.
** 
**    Rev 1.4.1.3   05 Sep 1996 11:34:24   ZJRD
** No change.
** 
**    Rev 1.4.1.2   02 Sep 1996 10:01:28   ZJRD
** No change.
** 
**    Rev 1.4.1.1   28 Aug 1996 15:45:12   ZJRD
** No change.
** 
**    Rev 1.4.1.0   12 Aug 1996 10:50:20   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.1   29 May 1996 09:35:46   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// daoption.cpp
//
// Michael Long
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "da.h"
#include "daoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DAOption dialog


DAOption::DAOption(DATool * pTool)
    : CPropertyPage(DAOption::IDD)
{                                
    ASSERT(pTool);              
    
    m_pTool = pTool;
    
    LoadData();
    
    //{{AFX_DATA_INIT(DAOption)

	//}}AFX_DATA_INIT
}

void DAOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(DAOption)
    DDX_Check(pDX, IDC_DAOPT_CHECK1, m_fDebug);
    DDX_Check(pDX, IDC_DAOPT_CHECK2, m_fList);
    DDX_Text(pDX, IDC_DAOPT_EDIT, m_strMore);
    DDX_Text(pDX, IDC_DAOPT_PATH_EDIT, m_strPath);
	DDX_Text(pDX, IDC_DAOPT_PATH_EDITINC, m_incPath);
	//}}AFX_DATA_MAP
}

void DAOption::SaveData(void)
{                                  
    //UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strMore.TrimLeft();
    m_strMore.TrimRight(); 
    m_incPath.TrimLeft();
    m_incPath.TrimRight();

    m_pTool->m_fDebug    = m_fDebug;
    m_pTool->m_fList     = m_fList;
    m_pTool->m_strMore   = m_strMore;
    m_pTool->m_strPath   = m_strPath;  
    m_pTool->m_incPath   = m_incPath;

}

void DAOption::LoadData(void)
{
    m_fDebug    = m_pTool->m_fDebug;
    m_fList     = m_pTool->m_fList;
    m_strMore   = m_pTool->m_strMore;
    m_strPath   = m_pTool->m_strPath;  
     m_incPath   = m_pTool->m_incPath;

}

BEGIN_MESSAGE_MAP(DAOption, CPropertyPage)
    //{{AFX_MSG_MAP(DAOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// DAOption message handlers
